# kyotocabinet::MapReduce::ValueIterator Class Reference

Value iterator for the reducer. More...

`#include <kcdbext.h>`

List of all members.

## Public Member Functions

const char * | next (size_t *sp)
| Get the next value.

## Friends

class | MapReduce

## Detailed Description

Value iterator for the reducer.

## Member Function Documentation

const char* kyotocabinet::MapReduce::ValueIterator::next | ( | size_t * | sp | ) |

Get the next value.

Parameters:

  sp | the pointer to the variable into which the size of the region of the return value is assigned.

Returns:
  the pointer to the next value region, or NULL if no value remains.